import { Plugin, ToolbarItemType } from '../plugin';
import { DownloadManager } from './download-manager';
export type DownloadPluginParams = {
    filename?: string;
};
export declare class DownloadPlugin extends Plugin<DownloadPluginParams> {
    protected getToolbarItems(): Map<string, ToolbarItemType>;
    readonly downloadManager: DownloadManager;
    private saveInProgress;
    getDownloadFileName(): Promise<string>;
    downloadOrSave(): Promise<void>;
    download(): Promise<void>;
    save(): Promise<void>;
}
